library(pheatmap)
DEG_heatmap=DEG
DEG_heatmap=DEG[order(DEG[,4],decreasing = F),]
choose_gene=head(rownames(DEG_heatmap),100)
choose_matrix=genes_exp[choose_gene,]
choose_matrix=t(scale(t(choose_matrix)))
pheatmap(choose_matrix, cellwidth = 12,color = colorRampPalette(c("green", "black", "red"))(50),fontsize_row=4,fontsize_col=10,border_color = NA,filename = "heatmap.png")

TOP100_genes=DEG_exp[match(rownames(DEG_heatmap[1:100,]),rownames(DEG_exp)),]
write.table(TOP100_genes,file="F:/R_Files/GSE109651/TOP100_genes.txt",quote=F,col.name=T,row.names=T)